Package Details: rubymine 2021.2.3-1

Git Clone URL: https://aur.archlinux.org/rubymine.git (read-only, click to copy)
Package Base: rubymine
Description: Ruby and Rails IDE with the full stack of essential developer tools
Upstream URL: https://www.jetbrains.com/ruby/
Keywords: IDE
Licenses: custom
Submitter: None
Maintainer: supermario
Last Packager: supermario
Votes: 110
Popularity: 0.46
First Submitted: 2011-04-06 08:10
Last Updated: 2021-10-23 14:55

Latest Comments

1 2 3 4 5 6 ... Next › Last »

gleb.zhulik commented on 2021-07-28 11:52

@supermario amazing, thank you!

supermario commented on 2021-07-28 11:23

Apologies, I pushed the update late last night without testing it. I've actually removed the entire prepare() function because most of the stuff that we were previously checking for based on architecture doesn't exist at all anymore!

gleb.zhulik commented on 2021-07-28 09:48

Ok, so the == is not the worst issue, as @Xinkai mentioned, the latest rubymine ships only with x86_64 notifier, I assume, other tools are also x86_64 only, so I assume it does not make any sense to remove them too

gleb.zhulik commented on 2021-07-28 09:38

The latest version of the PKGBUILD removes both fs watches due to typos in the prepare function: = is used instead of ==. Please, update the PKGBUILD

Xinkai commented on 2021-07-28 03:17

PKGBUILD needs an update for v2021.2-1. In previous versions, source.tar.gz shipped with both bin/{fsnotifier,fsnotifier64}, and it made sense to remove one of them depending on which $CARCH one has. In the latest version, only the 64-bit one is shipped, and it's named fsnotifier.

shadowed87 commented on 2020-04-25 23:30

can you update the package please?

saghm commented on 2018-11-26 22:34

I think the build.txt file shouldn't be removed anymore. When trying to debug the issue described here (https://github.com/ChrisRM/material-theme-jetbrains/issues/1054), I discovered that a number of plugins don't work on 2018.3 without the build.txt file being present.

bergalath commented on 2018-11-23 10:37

The out-of-date flag is already outdated :

Here comes RubyMine 2018.3 (Nov 22) (https://www.jetbrains.com/ruby/whatsnew/#v2018-3)

sha256 : 119a7dbe43054b59663623f978236f12ccfe1140ad23af4c9f30c6a0e9cb4001

bergalath commented on 2016-12-01 08:51

@supermario New release available :

pkgver=2016.3
sha256=354915f2a4748558efb4f5bc48cc1cafc38b442f198fdb7098b347df3792fbff

And I also confirm the java-environment dependency can be removed !

Thanks for maintaining this package ;)

njam commented on 2016-11-21 20:17

Yes, java dependency can be removed. Tested + works fine without.